package com.sooka.system.domain;

import java.math.BigDecimal;
import java.util.Date;

import com.sooka.common.annotation.Excel;
import com.sooka.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 个人贷款账户信息对象 tgjj_grdkzhxx
 *
 * @author lei
 * @date 2021-11-16
 */
public class TgjjGrdkzhxx extends BaseBusinessEntity
{
    private static final long serialVersionUID = 1L;

    /** 数据主键ID */
    private Long ID;

    /** 贷款账号 */
    @Excel(name = "贷款账号")
    private String DKZH;

    /** 借款合同编号 */
    @Excel(name = "借款合同编号")
    private String JKHTBH;

    /** 贷款风险等级 */
    @Excel(name = "贷款风险等级")
    private String DKFXDJ;

    /** 贷款发放额 */
    @Excel(name = "贷款发放额")
    private BigDecimal DKFFE;

    /** 贷款发放日期 */
    @Excel(name = "贷款发放日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date DKFFRQ;

    /** 贷款余额 */
    @Excel(name = "贷款余额")
    private BigDecimal DKYE;

    /** 贷款利率 */
    @Excel(name = "贷款利率")
    private BigDecimal DKLL;

    /** 当期计划还款金额 */
    @Excel(name = "当期计划还款金额")
    private BigDecimal DQJHHKJE;

    /** 当期计划归还本金 */
    @Excel(name = "当期计划归还本金")
    private BigDecimal DQJHGHBJ;

    /** 当期计划归还利息 */
    @Excel(name = "当期计划归还利息")
    private BigDecimal DQJHGHLX;

    /** 当前应还金额 */
    @Excel(name = "当前应还金额")
    private BigDecimal DQYHJE;

    /** 当前应还本金 */
    @Excel(name = "当前应还本金")
    private BigDecimal DQYHBJ;

    /** 当前应还利息 */
    @Excel(name = "当前应还利息")
    private BigDecimal DQYHLX;

    /** 当前应还罚息 */
    @Excel(name = "当前应还罚息")
    private BigDecimal DQYHFX;

    /** 贷款结清日期 */
    @Excel(name = "贷款结清日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date DKJQRQ;

    /** 回收本金总额 */
    @Excel(name = "回收本金总额")
    private BigDecimal HSBJZE;

    /** 回收利息总额 */
    @Excel(name = "回收利息总额")
    private BigDecimal HSLXZE;

    /** 罚息总额 */
    @Excel(name = "罚息总额")
    private BigDecimal FXZE;

    /** 提前归还本金总额 */
    @Excel(name = "提前归还本金总额")
    private BigDecimal TQGHBJZE;

    /** 逾期本金总额 */
    @Excel(name = "逾期本金总额")
    private BigDecimal YQBJZE;

    /** 逾期利息总额 */
    @Excel(name = "逾期利息总额")
    private BigDecimal YQLXZE;

    /** 累计逾期期数 */
    @Excel(name = "累计逾期期数")
    private Long LJYQQS;

    /** 贷款状态 */
    @Excel(name = "贷款状态")
    private String DKZT;

    /** 中心编号 */
    @Excel(name = "中心编号")
    private String ZXBH;

    /** 最后更新时间戳 */
    @Excel(name = "最后更新时间戳", width = 30, dateFormat = "yyyy-MM-dd")
    private Date lastUpdateTime;

    /** 首次还款发生日期 */
    @Excel(name = "首次还款发生日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date SCHKFSRQ;

    /** 处理类型 */
    @Excel(name = "处理类型")
    private Long CLLX;

    public void setID(Long ID)
    {
        this.ID = ID;
    }

    public Long getID()
    {
        return ID;
    }
    public void setDKZH(String DKZH)
    {
        this.DKZH = DKZH;
    }

    public String getDKZH()
    {
        return DKZH;
    }
    public void setJKHTBH(String JKHTBH)
    {
        this.JKHTBH = JKHTBH;
    }

    public String getJKHTBH()
    {
        return JKHTBH;
    }
    public void setDKFXDJ(String DKFXDJ)
    {
        this.DKFXDJ = DKFXDJ;
    }

    public String getDKFXDJ()
    {
        return DKFXDJ;
    }
    public void setDKFFE(BigDecimal DKFFE)
    {
        this.DKFFE = DKFFE;
    }

    public BigDecimal getDKFFE()
    {
        return DKFFE;
    }
    public void setDKFFRQ(Date DKFFRQ)
    {
        this.DKFFRQ = DKFFRQ;
    }

    public Date getDKFFRQ()
    {
        return DKFFRQ;
    }
    public void setDKYE(BigDecimal DKYE)
    {
        this.DKYE = DKYE;
    }

    public BigDecimal getDKYE()
    {
        return DKYE;
    }
    public void setDKLL(BigDecimal DKLL)
    {
        this.DKLL = DKLL;
    }

    public BigDecimal getDKLL()
    {
        return DKLL;
    }
    public void setDQJHHKJE(BigDecimal DQJHHKJE)
    {
        this.DQJHHKJE = DQJHHKJE;
    }

    public BigDecimal getDQJHHKJE()
    {
        return DQJHHKJE;
    }
    public void setDQJHGHBJ(BigDecimal DQJHGHBJ)
    {
        this.DQJHGHBJ = DQJHGHBJ;
    }

    public BigDecimal getDQJHGHBJ()
    {
        return DQJHGHBJ;
    }
    public void setDQJHGHLX(BigDecimal DQJHGHLX)
    {
        this.DQJHGHLX = DQJHGHLX;
    }

    public BigDecimal getDQJHGHLX()
    {
        return DQJHGHLX;
    }
    public void setDQYHJE(BigDecimal DQYHJE)
    {
        this.DQYHJE = DQYHJE;
    }

    public BigDecimal getDQYHJE()
    {
        return DQYHJE;
    }
    public void setDQYHBJ(BigDecimal DQYHBJ)
    {
        this.DQYHBJ = DQYHBJ;
    }

    public BigDecimal getDQYHBJ()
    {
        return DQYHBJ;
    }
    public void setDQYHLX(BigDecimal DQYHLX)
    {
        this.DQYHLX = DQYHLX;
    }

    public BigDecimal getDQYHLX()
    {
        return DQYHLX;
    }
    public void setDQYHFX(BigDecimal DQYHFX)
    {
        this.DQYHFX = DQYHFX;
    }

    public BigDecimal getDQYHFX()
    {
        return DQYHFX;
    }
    public void setDKJQRQ(Date DKJQRQ)
    {
        this.DKJQRQ = DKJQRQ;
    }

    public Date getDKJQRQ()
    {
        return DKJQRQ;
    }
    public void setHSBJZE(BigDecimal HSBJZE)
    {
        this.HSBJZE = HSBJZE;
    }

    public BigDecimal getHSBJZE()
    {
        return HSBJZE;
    }
    public void setHSLXZE(BigDecimal HSLXZE)
    {
        this.HSLXZE = HSLXZE;
    }

    public BigDecimal getHSLXZE()
    {
        return HSLXZE;
    }
    public void setFXZE(BigDecimal FXZE)
    {
        this.FXZE = FXZE;
    }

    public BigDecimal getFXZE()
    {
        return FXZE;
    }
    public void setTQGHBJZE(BigDecimal TQGHBJZE)
    {
        this.TQGHBJZE = TQGHBJZE;
    }

    public BigDecimal getTQGHBJZE()
    {
        return TQGHBJZE;
    }
    public void setYQBJZE(BigDecimal YQBJZE)
    {
        this.YQBJZE = YQBJZE;
    }

    public BigDecimal getYQBJZE()
    {
        return YQBJZE;
    }
    public void setYQLXZE(BigDecimal YQLXZE)
    {
        this.YQLXZE = YQLXZE;
    }

    public BigDecimal getYQLXZE()
    {
        return YQLXZE;
    }
    public void setLJYQQS(Long LJYQQS)
    {
        this.LJYQQS = LJYQQS;
    }

    public Long getLJYQQS()
    {
        return LJYQQS;
    }
    public void setDKZT(String DKZT)
    {
        this.DKZT = DKZT;
    }

    public String getDKZT()
    {
        return DKZT;
    }
    public void setZXBH(String ZXBH)
    {
        this.ZXBH = ZXBH;
    }

    public String getZXBH()
    {
        return ZXBH;
    }
    public void setLastUpdateTime(Date lastUpdateTime)
    {
        this.lastUpdateTime = lastUpdateTime;
    }

    public Date getLastUpdateTime()
    {
        return lastUpdateTime;
    }
    public void setSCHKFSRQ(Date SCHKFSRQ)
    {
        this.SCHKFSRQ = SCHKFSRQ;
    }

    public Date getSCHKFSRQ()
    {
        return SCHKFSRQ;
    }
    public void setCLLX(Long CLLX)
    {
        this.CLLX = CLLX;
    }

    public Long getCLLX()
    {
        return CLLX;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("ID", getID())
            .append("DKZH", getDKZH())
            .append("JKHTBH", getJKHTBH())
            .append("DKFXDJ", getDKFXDJ())
            .append("DKFFE", getDKFFE())
            .append("DKFFRQ", getDKFFRQ())
            .append("DKYE", getDKYE())
            .append("DKLL", getDKLL())
            .append("DQJHHKJE", getDQJHHKJE())
            .append("DQJHGHBJ", getDQJHGHBJ())
            .append("DQJHGHLX", getDQJHGHLX())
            .append("DQYHJE", getDQYHJE())
            .append("DQYHBJ", getDQYHBJ())
            .append("DQYHLX", getDQYHLX())
            .append("DQYHFX", getDQYHFX())
            .append("DKJQRQ", getDKJQRQ())
            .append("HSBJZE", getHSBJZE())
            .append("HSLXZE", getHSLXZE())
            .append("FXZE", getFXZE())
            .append("TQGHBJZE", getTQGHBJZE())
            .append("YQBJZE", getYQBJZE())
            .append("YQLXZE", getYQLXZE())
            .append("LJYQQS", getLJYQQS())
            .append("DKZT", getDKZT())
            .append("ZXBH", getZXBH())
            .append("lastUpdateTime", getLastUpdateTime())
            .append("SCHKFSRQ", getSCHKFSRQ())
            .append("CLLX", getCLLX())
            .toString();
    }
}
